Subject: Re: [bug#74542] [PATCH v2 00/16] Improved tooling for package updates

From: Ludovic Courtès <[email-masked]>
Date: Sun, 01 Dec 2024 17:30:41 +0100

Maxim Cournoyer <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>
> [...]
>
>>     While ‘guix build openssl --with-latest=openssl’ dismisses patches,
>>     what we want here instead is to preserve patches, such that what’s
>>     being built is exactly the same as what we’d get with ‘guix
>>     refresh -u openssl’.
>
> Could 'guix build openssl --with-latest' also have an option to preserve
> patches?  This has often tripped me.

It would be nice, though it might need some rework in transformation
option handle (currently one option maps to exactly one transformation).

Ludo’.